## fuse3 3.1.1

=== meson_options.txt ===
option('disable-mtab', type : 'boolean', value : false,
       description: 'Disable and ignore usage of /etc/mtab')

=== debian/changelog ===
fuse3 (3.1.1-ubuntu1~xenial3) xenial; urgency=medium

  * Packaging for Fuse 3.1.1 release

 -- Bartek Kryza <bkryza@gmail.com>  Mon, 07 Aug 2017 01:42:37 +0200

=== debian/control ===
Source: fuse3
Priority: optional
Maintainer: Bartek Kryza <bkryza@gmail.com>
Build-Depends: debhelper (>=9),autotools-dev
Standards-Version: 3.9.7
Section: libs
Homepage: https://github.com/libfuse/libfuse


Package: fuse3
Architecture: amd64
Depends: libc6 (>= 2.14), libfuse3 (>= 3.1.1), adduser, mount (>= 2.19.1), sed (>= 4)
Section: utils
Description: Filesystem in Userspace
 Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
 export a virtual filesystem to the Linux kernel. It also aims to provide a
 secure method for non privileged users to create and mount their own filesystem
 implementations.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@  --with autotools_dev

override_dh_install:
	dh_install
	rm -r $$(pwd)/debian/fuse3/usr/include
	rm -r $$(pwd)/debian/fuse3/usr/lib
	rm -r $$(pwd)/debian/fuse3/etc/init.d
	rm -r $$(pwd)/debian/fuse3/dev
	mv $$(pwd)/debian/fuse3/usr/share/man/man8/mount.fuse.8 $$(pwd)/debian/fuse3/usr/share/man/man8/mount.fuse3.8
	cp $$(pwd)/debian/fuse.conf $$(pwd)/debian/fuse3/etc/fuse3.conf

# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## fuse3 3.4.1

=== meson_options.txt ===
option('disable-mtab', type : 'boolean', value : false,
       description: 'Disable and ignore usage of /etc/mtab')

option('udevrulesdir', type : 'string', value : '',
       description: 'Where to install udev rules (if empty, query pkg-config(1))')

option('utils', type : 'boolean', value : true,
       description: 'Wheter or not to build and install helper programs')

option('examples', type : 'boolean', value : true,
       description: 'Wheter or not to build example programs')

=== debian/changelog ===
fuse3 (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update library symbols for this release.
  * Update Standards-Version to 4.3.0 .

  [ Dmitry Smirnov <onlyjob@member.fsf.org> ]
  * Make "fuse3" to replace "fuse", instead of conflict (closes: #912528).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 25 Dec 2018 16:57:44 +0000

fuse3 (3.2.6-1) unstable; urgency=medium

  * New upstream release:
    - fix CVE-2018-10906, restriction bypass of the allow_other option when
      SELinux is active (closes: #911343).
  * Honor nocheck in DEB_BUILD_OPTIONS (closes: #910029).
  * Don't force xz compression for source and binaries (closes: #910030).
  * Update copyright file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 18 Oct 2018 21:36:00 +0000

fuse3 (3.2.4-1) unstable; urgency=medium

  * New major upstream release (closes: #904216).
  * Drop own udev rules.
  * Update watch file.
  * Update copyright file.
  * Update debhelper level to 11:
    - remove dh-autoreconf build dependency,
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.1.5:
    - remove fuse-dbg package and use the auto-generated one.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Jul 2018 14:11:44 +0000

=== debian/control ===
Source: fuse3
Section: utils
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends:
 debhelper (>= 11),
 pkg-config,
 meson,
 udev,
 python3,
 python3-pytest
Standards-Version: 4.3.0
Homepage: https://github.com/libfuse/libfuse/wiki
#Vcs-Browser: https://daniel-baumann.ch/gitweb/?p=debian/packages/fuse.git
#Vcs-Git: git://daniel-baumann.ch/git/debian/packages/fuse.git

Package: fuse3
Section: utils
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libfuse3-3 (= ${binary:Version}),
 adduser,
 mount (>= 2.19.1),
 sed (>= 4),
 lsb-base (>= 3.2-14)
Provides: fuse
Breaks: fuse
Replaces: fuse
Description: Filesystem in Userspace (3.x version)
 Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
 export a virtual filesystem to the Linux kernel. It also aims to provide a
 secure method for non privileged users to create and mount their own filesystem
 implementations.

Package: libfuse3-3
Section: libs
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: fuse3
Description: Filesystem in Userspace (library) (3.x version)
 Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
 export a virtual filesystem to the Linux kernel. It also aims to provide a
 secure method for non privileged users to create and mount their own filesystem
 implementations.
 .
 This package contains the shared library.

Package: libfuse3-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Depends:
 ${misc:Depends},
 libfuse3-3 (= ${binary:Version}),
 libselinux-dev [linux-any],
Suggests: fuse
Description: Filesystem in Userspace (development) (3.x version)
 Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
 export a virtual filesystem to the Linux kernel. It also aims to provide a
 secure method for non privileged users to create and mount their own filesystem
 implementations.
 .
 This package contains the development files.

Package: fuse3-udeb
Package-Type: udeb
Architecture: linux-any
Section: debian-installer
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libfuse3-3-udeb (= ${binary:Version}),
Description: Filesystem in Userspace (3.x version)

Package: libfuse3-3-udeb
Package-Type: udeb
Architecture: linux-any kfreebsd-any
Section: debian-installer
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Filesystem in Userspace (library) (3.x version)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL := sh -e

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/test/__pycache__/
	rm -rf $(CURDIR)/test/.pytest_cache/

override_dh_auto_configure:
	dh_auto_configure -- -D default_library=both

override_dh_compress:
	dh_compress -Xusr/share/doc/libfuse3-dev/examples -XREADME.md

override_dh_fixperms:
	dh_fixperms
	chmod a-x debian/libfuse3-dev/usr/share/doc/libfuse3-dev/examples/cuse_client.c

ifeq ($(DEB_BUILD_ARCH),linux)
	chmod 0755 debian/fuse3/bin/fusermount3
endif

override_dh_install:
	# remove unused files
	rm -f debian/tmp/etc/init.d/fuse3
	rm -f debian/tmp/lib/udev/rules.d/99-fuse3.rules

	dh_install

	# adjusting /lib for multiarch
	mkdir -p debian/libfuse3-3/lib/$(DEB_HOST_MULTIARCH)
	mv debian/libfuse3-3/lib/*.so* debian/libfuse3-3/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p debian/libfuse3-3-udeb/lib/$(DEB_HOST_MULTIARCH)
	mv debian/libfuse3-3-udeb/lib/*.so* debian/libfuse3-3-udeb/lib/$(DEB_HOST_MULTIARCH)

	# adding initramfs-tools integration
	install -D -m 0755 debian/local/fuse.hook debian/fuse3/usr/share/initramfs-tools/hooks/fuse

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest test/
endif

override_dh_link:
	# correcting symlink targets
	for LIB in debian/tmp/usr/lib/*/*.so; \
	do \
		dh_link -plibfuse3-dev lib/$(DEB_HOST_MULTIARCH)/$$(basename $$(readlink $${LIB})) usr/lib/$(DEB_HOST_MULTIARCH)/$$(basename $${LIB}); \
	done

	dh_link --remaining-packages

override_dh_makeshlibs:
	dh_makeshlibs -s --add-udeb=libfuse3-3-udeb

override_dh_missing:
	dh_missing --fail-missing

%:
	dh ${@}

.PHONY: override_dh_auto_clean override_dh_auto_configure \
	override_dh_compress override_dh_fixperms override_dh_install \
	override_dh_link override_dh_makeshlibs override_dh_missing

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/libfuse/libfuse/releases .*/releases\/download/fuse-v?\d\S*/fuse-v?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## fuse3 3.9.0

=== debian/changelog ===
fuse3 (3.9.0-2) unstable; urgency=medium

  * Don't explicitly remove fuse.conf on purge (closes: #953223).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 Mar 2020 11:10:15 +0000

fuse3 (3.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.5.0 .

  [ Hideki Yamane <henrich@debian.org> ]
  * Add version for Provides: fuse (closes: #943896).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 13 Feb 2020 16:06:09 +0000

fuse3 (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update library symbols for this release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 Sep 2019 21:28:17 +0000

fuse3 (3.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop outdated udevadm commands from postinst (closes: #934293).
  * Remove dh_makeshlibs override.
  * Update Standards-Version to 4.4.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Sep 2019 06:15:20 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,14 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  pkg-config,
  meson,
  udev,
  python3,
  python3-pytest
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/libfuse/libfuse/wiki
-#Vcs-Browser: https://daniel-baumann.ch/gitweb/?p=debian/packages/fuse.git
-#Vcs-Git: git://daniel-baumann.ch/git/debian/packages/fuse.git
 
 Package: fuse3
 Section: utils
@@ -25,7 +23,7 @@
  mount (>= 2.19.1),
  sed (>= 4),
  lsb-base (>= 3.2-14)
-Provides: fuse
+Provides: fuse (= ${source:Version})
 Breaks: fuse
 Replaces: fuse
 Description: Filesystem in Userspace (3.x version)

=== debian/rules ===
--- 
+++ 
@@ -60,9 +60,6 @@
 
 	dh_link --remaining-packages
 
-override_dh_makeshlibs:
-	dh_makeshlibs -s --add-udeb=libfuse3-3-udeb
-
 override_dh_missing:
 	dh_missing --fail-missing
 
@@ -71,4 +68,4 @@
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure \
 	override_dh_compress override_dh_fixperms override_dh_install \
-	override_dh_link override_dh_makeshlibs override_dh_missing
+	override_dh_link override_dh_missing

## fuse3 3.9.2

=== debian/changelog ===
fuse3 (3.9.2-1~xenial) xenial; urgency=medium

  * New upstream release.
  * Use udev for Linux builds, specify udevrulesdir otherwise
    (closes: #956579).

  [ Laurent Bigonville <bigon@debian.org> ]
  * Run tests form the correct directory and make them non fatal
    (closes: #956592).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 13 Jun 2020 14:54:36 +0200

## fuse3 3.9.3

=== debian/changelog ===
fuse3 (3.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 20 Aug 2020 15:16:47 +0200

fuse3 (3.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Use udev for Linux builds, specify udevrulesdir otherwise
    (closes: #956579).

  [ Laurent Bigonville <bigon@debian.org> ]
  * Run tests form the correct directory and make them non fatal
    (closes: #956592).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 13 Jun 2020 14:54:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  debhelper-compat (= 11),
  pkg-config,
  meson,
- udev,
- python3,
- python3-pytest
+ udev [linux-any],
+ python3 <!nocheck>,
+ python3-pytest <!nocheck>
 Standards-Version: 4.5.0
 Homepage: https://github.com/libfuse/libfuse/wiki

=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,14 @@
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
+	DEB_CONFIGURE_EXTRA_FLAGS = -Dudevrulesdir=/lib/udev/rules.d
+endif
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf $(CURDIR)/test/__pycache__/
-	rm -rf $(CURDIR)/test/.pytest_cache/
-
 override_dh_auto_configure:
-	dh_auto_configure -- -D default_library=both
+	dh_auto_configure -- -Ddefault_library=both $(DEB_CONFIGURE_EXTRA_FLAGS)
 
 override_dh_compress:
 	dh_compress -Xusr/share/doc/libfuse3-dev/examples -XREADME.md
@@ -48,7 +47,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	python3 -m pytest test/
+	(cd obj-${DEB_HOST_GNU_TYPE}; python3 -m pytest test/) || true
 endif
 
 override_dh_link:
@@ -66,6 +65,6 @@
 %:
 	dh ${@}
 
-.PHONY: override_dh_auto_clean override_dh_auto_configure \
-	override_dh_compress override_dh_fixperms override_dh_install \
+.PHONY: override_dh_auto_configure override_dh_compress \
+	override_dh_fixperms override_dh_install \
 	override_dh_link override_dh_missing

## fuse3 3.10.0

=== debian/changelog ===
fuse3 (3.10.0-1~xenial) xenial; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 11 Oct 2020 23:01:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper (>= 9),
  pkg-config,
  meson,
  udev [linux-any],

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-override_dh_auto_configure:
+xxx_override_dh_auto_configure:
 	dh_auto_configure -- -Ddefault_library=both $(DEB_CONFIGURE_EXTRA_FLAGS)
 
 override_dh_compress:
@@ -29,7 +29,7 @@
 	chmod 0755 debian/fuse3/bin/fusermount3
 endif
 
-override_dh_install:
+override_dh_install::
 	# remove unused files
 	rm -f debian/tmp/etc/init.d/fuse3
 	rm -f debian/tmp/lib/udev/rules.d/99-fuse3.rules
@@ -45,7 +45,7 @@
 	# adding initramfs-tools integration
 	install -D -m 0755 debian/local/fuse.hook debian/fuse3/usr/share/initramfs-tools/hooks/fuse
 
-override_dh_auto_test:
+xxx_override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	(cd obj-${DEB_HOST_GNU_TYPE}; python3 -m pytest test/) || true
 endif
@@ -68,3 +68,31 @@
 .PHONY: override_dh_auto_configure override_dh_compress \
 	override_dh_fixperms override_dh_install \
 	override_dh_link override_dh_missing
+override_dh_auto_configure:
+	mkdir build
+	cd build && CFLAGS= LDFLAGS= CPPFLAGS= CXXFLAGS= LC_ALL=C.UTF-8 meson .. \
+	  --wrap-mode=nodownload --buildtype=plain --prefix=/usr \
+	  --sysconfdir=/etc \
+	  --localstatedir=/var \
+	  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+	  --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+	  -D default_library=both -D udevrulesdir=/lib/udev/rules.d
+
+override_dh_auto_build:
+	cd build && LC_ALL=C.UTF-8 ninja
+	ls -lahR .
+
+override_dh_auto_install:
+	cd build && LC_ALL=C.UTF-8 DESTDIR=$(CURDIR)/debian/tmp ninja install
+
+override_dh_auto_test:
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	PATH=build/util:$(PATH) python3 -m pytest test/
+endif
+
+override_dh_install::
+	# let's install man pages here
+	install -D -m 0644 debian/tmp/usr/share/man/man1/fusermount3.1 debian/fuse3/usr/share/man/man1/fusermount3.1
+	install -D -m 0644 debian/tmp/usr/share/man/man8/mount.fuse3.8 debian/fuse3/usr/share/man/man8/mount.fuse3.8
+
+.PHONY: override_dh_auto_test override_dh_auto_build override_dh_auto_install

## fuse3 3.10.2

=== debian/changelog ===
fuse3 (3.10.2-2build1) hirsute; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Mar 2021 10:26:33 +0100

fuse3 (3.10.2-2) unstable; urgency=medium

  * Mark libfuse3-dev as Multi-Arch same.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Allow one to build without udeb package (closes: #983438).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 24 Feb 2021 23:28:30 +0100

fuse3 (3.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 08 Feb 2021 21:21:32 +0100

fuse3 (3.10.1-3) unstable; urgency=medium

  * Update debhelper level to 13 .

  [ Stephen Kitt <skitt@debian.org> ]
  * Ignore "-o nonempty" instead of treating it as an error; the default
    behaviour in fuse3 is equivalent to "-o nonempty". This allows
    software expecting fuse2 semantics to work with fusermount3
    (closes: #939767).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 29 Jan 2021 16:59:06 +0100

fuse3 (3.10.1-2) unstable; urgency=medium

  * Add upstream metadata.
  * Update watch file.
  * Update packaging bits.
  * Update Standards-Version to 4.5.1 .

  [ Laurent Bigonville <bigon@debian.org> ]
  * Fix FTBFS on kFreeBSD (closes: #980213).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 Jan 2021 10:34:25 +0100

fuse3 (3.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Backport upstream fix:
    - add exfat to whitelist.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 01 Jan 2021 15:32:48 +0100

fuse3 (3.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 11 Oct 2020 23:01:33 +0200

## fuse3 3.10.3

=== meson_options.txt ===
option('disable-mtab', type : 'boolean', value : false,
       description: 'Disable and ignore usage of /etc/mtab')

option('udevrulesdir', type : 'string', value : '',
       description: 'Where to install udev rules (if empty, query pkg-config(1))')

option('utils', type : 'boolean', value : true,
       description: 'Whether or not to build and install helper programs')

option('examples', type : 'boolean', value : true,
       description: 'Whether or not to build example programs')

option('useroot', type : 'boolean', value : true,
       description: 'Set owner and setuid bits on installed files')

=== debian/changelog ===
fuse3 (3.10.3-2) unstable; urgency=medium

  * Do not try to alter cuse device permissions (closes: #947229, #989977).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 20 Jun 2021 15:45:33 +0200

fuse3 (3.10.3-1) unstable; urgency=medium

  * New upstream release:
    - fix returning d_ino and d_type by readdir(3) in non-plus mode,
    - remove unused fuse_worker bufsize,
    - fix typos.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 21 Apr 2021 14:34:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  pkg-config,
  meson,
  udev [linux-any],
  python3 <!nocheck>,
  python3-pytest <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/libfuse/libfuse/wiki
+Rules-Requires-Root: binary-targets
 
 Package: fuse3
 Section: utils
@@ -52,6 +53,7 @@
 Package: libfuse3-dev
 Section: libdevel
 Architecture: linux-any kfreebsd-any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  libfuse3-3 (= ${binary:Version}),
@@ -77,6 +79,7 @@
 
 Package: libfuse3-3-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Architecture: linux-any kfreebsd-any
 Section: debian-installer
 Depends:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/libfuse/libfuse/releases .*/releases\/download/fuse-v?\d\S*/fuse-v?(\d\S*)@ARCHIVE_EXT@

## fuse3 3.10.4

=== debian/changelog ===
fuse3 (3.10.4-0ubuntu1ppa1~bionic) bionic; urgency=medium

  * Rebuild for Onedata package dependencies.

 -- Bartek Kryza <bkryza@gmail.com>  Tue, 17 Aug 2021 16:06:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,18 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 9),
  pkg-config,
  meson,
- udev [linux-any],
- python3 <!nocheck>,
- python3-pytest <!nocheck>
-Standards-Version: 4.5.1
+ udev,
+ python3,
+ python3-pytest
+Standards-Version: 3.9.7
 Homepage: https://github.com/libfuse/libfuse/wiki
-Rules-Requires-Root: binary-targets
 
 Package: fuse3
 Section: utils
-Architecture: linux-any
+Architecture: amd64
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -24,7 +23,7 @@
  mount (>= 2.19.1),
  sed (>= 4),
  lsb-base (>= 3.2-14)
-Provides: fuse (= ${source:Version})
+Provides: fuse
 Breaks: fuse
 Replaces: fuse
 Description: Filesystem in Userspace (3.x version)
@@ -35,7 +34,7 @@
 
 Package: libfuse3-3
 Section: libs
-Architecture: linux-any kfreebsd-any
+Architecture: amd64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
@@ -52,8 +51,7 @@
 
 Package: libfuse3-dev
 Section: libdevel
-Architecture: linux-any kfreebsd-any
-Multi-Arch: same
+Architecture: amd64
 Depends:
  ${misc:Depends},
  libfuse3-3 (= ${binary:Version}),
@@ -66,23 +64,3 @@
  implementations.
  .
  This package contains the development files.
-
-Package: fuse3-udeb
-Package-Type: udeb
-Architecture: linux-any
-Section: debian-installer
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- libfuse3-3-udeb (= ${binary:Version}),
-Description: Filesystem in Userspace (3.x version)
-
-Package: libfuse3-3-udeb
-Package-Type: udeb
-Build-Profiles: <!noudeb>
-Architecture: linux-any kfreebsd-any
-Section: debian-installer
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Description: Filesystem in Userspace (library) (3.x version)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

SHELL := sh -e

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CFLAGS=-fPIE

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/test/__pycache__/
	rm -rf $(CURDIR)/test/.pytest_cache/

override_dh_auto_configure:
	mkdir -p debian/tmp
	mkdir -p usr/share/man/man1
	mkdir -p usr/share/man/man8
	cd debian/tmp && meson -D utils=true -D examples=false -D default_library=both -D prefix=/usr ../..

override_dh_prep:
	# Skip prep

override_dh_auto_build:
	cd debian/tmp && ninja -v
	sed -i 's/\/local//g' debian/tmp/meson-private/fuse3.pc

override_dh_compress:
	dh_compress -Xusr/share/doc/libfuse3-dev/examples -XREADME.md

override_dh_fixperms:
	dh_fixperms

ifeq ($(DEB_BUILD_ARCH),linux)
	chmod 0755 debian/tmp/util/fusermount3
endif

override_dh_installman:
	# Skip

override_dh_auto_test:
	# Skip tests

%:
	dh ${@}

## fuse3 3.10.5

=== meson_options.txt ===
--- 
+++ 
@@ -13,3 +13,6 @@
 option('useroot', type : 'boolean', value : true,
        description: 'Set owner and setuid bits on installed files')
 
+option('tests', type : 'boolean', value : true,
+       description: 'Compile the test files')
+

=== debian/changelog ===
fuse3 (3.10.5-1build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:53:14 +0100

fuse3 (3.10.5-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 16 Sep 2021 17:41:27 +0200

fuse3 (3.10.4-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 23 Aug 2021 22:05:34 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL := sh -e

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	DEB_CONFIGURE_EXTRA_FLAGS = -Dudevrulesdir=/lib/udev/rules.d
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
  with_udeb = yes
endif

override_dh_auto_configure:
	dh_auto_configure -- -Ddefault_library=both $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_compress:
	dh_compress -Xusr/share/doc/libfuse3-dev/examples -XREADME.md

override_dh_fixperms:
	dh_fixperms
	chmod a-x debian/libfuse3-dev/usr/share/doc/libfuse3-dev/examples/cuse_client.c

ifeq ($(DEB_BUILD_ARCH),linux)
	chmod 0755 debian/fuse3/bin/fusermount3
endif

override_dh_install:
	# remove unused files
	rm -f debian/tmp/etc/init.d/fuse3
	rm -f debian/tmp/lib/udev/rules.d/99-fuse3.rules

	dh_install

	# adjusting /lib for multiarch
	mkdir -p debian/libfuse3-3/lib/$(DEB_HOST_MULTIARCH)
	mv debian/libfuse3-3/lib/*.so* debian/libfuse3-3/lib/$(DEB_HOST_MULTIARCH)
ifeq ($(with_udeb),yes)
	mkdir -p debian/libfuse3-3-udeb/lib/$(DEB_HOST_MULTIARCH)
	mv debian/libfuse3-3-udeb/lib/*.so* debian/libfuse3-3-udeb/lib/$(DEB_HOST_MULTIARCH)
endif

	# adding initramfs-tools integration
	install -D -m 0755 debian/local/fuse.hook debian/fuse3/usr/share/initramfs-tools/hooks/fuse

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	(cd obj-${DEB_HOST_GNU_TYPE}; python3 -m pytest test/) || true
endif

override_dh_link:
	# correcting symlink targets
	for LIB in debian/tmp/usr/lib/*/*.so; \
	do \
		dh_link -plibfuse3-dev lib/$(DEB_HOST_MULTIARCH)/$$(basename $$(readlink $${LIB})) usr/lib/$(DEB_HOST_MULTIARCH)/$$(basename $${LIB}); \
	done

	dh_link --remaining-packages

override_dh_missing:
	dh_missing --fail-missing

%:
	dh ${@}

.PHONY: override_dh_auto_configure override_dh_compress \
	override_dh_fixperms override_dh_install \
	override_dh_link override_dh_missing

## fuse3 3.11.0

=== debian/changelog ===
fuse3 (3.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.0.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 May 2022 16:30:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  pkg-config,
  meson,
- udev,
- python3,
- python3-pytest
-Standards-Version: 3.9.7
+ udev [linux-any],
+ python3 <!nocheck>,
+ python3-pytest <!nocheck>
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/libfuse/libfuse/wiki
+Rules-Requires-Root: binary-targets
 
 Package: fuse3
 Section: utils
-Architecture: amd64
+Architecture: linux-any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -23,7 +24,7 @@
  mount (>= 2.19.1),
  sed (>= 4),
  lsb-base (>= 3.2-14)
-Provides: fuse
+Provides: fuse (= ${source:Version})
 Breaks: fuse
 Replaces: fuse
 Description: Filesystem in Userspace (3.x version)
@@ -34,7 +35,7 @@
 
 Package: libfuse3-3
 Section: libs
-Architecture: amd64
+Architecture: linux-any kfreebsd-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
@@ -51,7 +52,8 @@
 
 Package: libfuse3-dev
 Section: libdevel
-Architecture: amd64
+Architecture: linux-any kfreebsd-any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  libfuse3-3 (= ${binary:Version}),
@@ -64,3 +66,23 @@
  implementations.
  .
  This package contains the development files.
+
+Package: fuse3-udeb
+Package-Type: udeb
+Architecture: linux-any
+Section: debian-installer
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libfuse3-3-udeb (= ${binary:Version}),
+Description: Filesystem in Userspace (3.x version)
+
+Package: libfuse3-3-udeb
+Package-Type: udeb
+Build-Profiles: <!noudeb>
+Architecture: linux-any kfreebsd-any
+Section: debian-installer
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Filesystem in Userspace (library) (3.x version)

## fuse3 3.12.0

=== meson_options.txt ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 option('udevrulesdir', type : 'string', value : '',
        description: 'Where to install udev rules (if empty, query pkg-config(1))')
+
+option('initscriptdir', type : 'string', value : '/etc/init.d/',
+       description: 'Init script installation location (if empty, disable init script installation)')
 
 option('utils', type : 'boolean', value : true,
        description: 'Whether or not to build and install helper programs')

=== debian/changelog ===
fuse3 (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update library symbols for this release.
  * Update watch file.
  * Update Lintian overrides.
  * Update Standards-Version to 4.6.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 22 Oct 2022 21:28:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
  meson,
  udev [linux-any],
  python3 <!nocheck>,
  python3-pytest <!nocheck>
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/libfuse/libfuse/wiki
 Rules-Requires-Root: binary-targets

## fuse3 3.14.0

=== meson_options.txt ===
--- 
+++ 
@@ -19,3 +19,6 @@
 option('tests', type : 'boolean', value : true,
        description: 'Compile the test files')
 
+option('disable-libc-symbol-version', type : 'boolean', value : false,
+       description: 'Disable versioned symbols through libc')
+

=== debian/changelog ===
fuse3 (3.14.0-9) unstable; urgency=medium

  * Fix FTBFS due to the fuse transitional package.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 15 Sep 2024 08:00:33 +0200

fuse3 (3.14.0-8) unstable; urgency=medium

  [ Jeremy Bícha <jeremy.bicha@canonical.com> ]
  * Provide fuse transitional package for upgrade (closes: #918984, #927291,
    #1074767, #1081537).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 13 Sep 2024 19:31:58 +0200

fuse3 (3.14.0-7) unstable; urgency=medium

  [ Guillem Jover ]
  * Use canonical pathnames in initramfs hook (closes: #1079573).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 25 Aug 2024 13:39:34 +0200

fuse3 (3.14.0-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Move aliased files to /usr (DEP17) (closes: #1073058).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 07 Jul 2024 07:17:03 +0200

fuse3 (3.14.0-5) unstable; urgency=medium

  * Fix 99-fuse3.rules path (closes: #1060067).
  * Switch udev build dependency to systemd-dev (closes: #1060606).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 12 Jan 2024 16:46:21 +0100

fuse3 (3.14.0-4) unstable; urgency=medium

  * Backport upstream fixes:
    - fix max_threads command line parameter propagation,
    - fix memory leak in high level API.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 18 Apr 2023 23:07:15 +0200

fuse3 (3.14.0-3) unstable; urgency=medium

  [ Helge Deller <deller@gmx.de> ]
  * Add the big-endian hppa platform to the disabled self-testing list
    (closes: #1032187).

  [ Laszlo Boszormenyi (GCS) ]
  * Update fuse header name in examples.
  * Fix Makefile for examples (closes: #1031544).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 17 Mar 2023 20:51:05 +0100

fuse3 (3.14.0-2) unstable; urgency=medium

  * Revert upgrade of fuse_kernel.h for not being upstreamed yet
    (closes: #1031524).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Feb 2023 07:22:30 +0100

fuse3 (3.14.0-1) unstable; urgency=medium

  * New upstream release:
    - fix header installation issue (closes: #1031455).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 17 Feb 2023 19:50:40 +0100

fuse3 (3.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 10 Feb 2023 22:04:50 +0100

fuse3 (3.13.0-2) unstable; urgency=medium

  * Can't run self-testing on big-endian machines.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 22 Jan 2023 08:17:08 +0100

fuse3 (3.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 17 Jan 2023 19:11:25 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  pkgconf,
  meson,
- udev [linux-any],
+ systemd-dev,
  python3 <!nocheck>,
  python3-pytest <!nocheck>
 Standards-Version: 4.6.1
@@ -22,11 +22,9 @@
  libfuse3-3 (= ${binary:Version}),
  adduser,
  mount (>= 2.19.1),
- sed (>= 4),
- lsb-base (>= 3.2-14)
+ sed (>= 4)
 Provides: fuse (= ${source:Version})
-Breaks: fuse
-Replaces: fuse
+Breaks: fuse (<< ${source:Version})
 Description: Filesystem in Userspace (3.x version)
  Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
  export a virtual filesystem to the Linux kernel. It also aims to provide a
@@ -86,3 +84,12 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Filesystem in Userspace (library) (3.x version)
+
+Package: fuse
+Architecture: all
+Section: oldlibs
+Depends:
+ ${misc:Depends},
+ fuse3,
+Description: Filesystem in Userspace (transitional package)
+ This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL := sh -e

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
  with_udeb = yes
endif

override_dh_auto_configure-arch:
	dh_auto_configure -- -Ddefault_library=both -Duseroot=false \
		$(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_configure-indep:
	@echo Do not configure indep

override_dh_auto_build-indep:
	@echo Do not build indep

override_dh_auto_install-indep:
	@echo Do not install indep

override_dh_compress:
	dh_compress -Xusr/share/doc/libfuse3-dev/examples -XREADME.md

override_dh_fixperms-arch:
	dh_fixperms --arch
ifeq ($(DEB_HOST_ARCH),linux)
	chmod 0755 debian/fuse3/bin/fusermount3
endif

execute_after_dh_install:
	# adding initramfs-tools integration
	install -D -m 0755 debian/local/fuse.hook debian/fuse3/usr/share/initramfs-tools/hooks/fuse

override_dh_auto_test-arch:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
ifeq (,$(findstring $(DEB_BUILD_ARCH),powerpc ppc64 sparc64 s390x hppa))
		(cd obj-${DEB_HOST_GNU_TYPE}; python3 -m pytest test/) \
			|| true
endif
endif

override_dh_auto_test-indep:
	@echo Do not test indep

override_dh_missing:
	dh_missing --fail-missing

%:
	dh ${@} --buildsystem=meson

.PHONY: override_dh_auto_configure-arch override_dh_auto_configure-indep \
	override_dh_auto_build-indep override_dh_auto_install-indep \
	override_dh_compress override_dh_fixperms-arch \
	execute_after_dh_install \
	override_dh_auto_test-arch override_dh_auto_test-indep \
	override_dh_missing

## fuse3 3.14.0-5build1trisquel1

=== debian/changelog ===
fuse3 (3.14.0-5build1trisquel1) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 04:42:48 +0000

fuse3 (3.14.0-5build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:57:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fuse3
 Section: utils
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  pkgconf,
@@ -24,7 +25,8 @@
  mount (>= 2.19.1),
  sed (>= 4)
 Provides: fuse (= ${source:Version})
-Breaks: fuse (<< ${source:Version})
+Breaks: fuse
+Replaces: fuse
 Description: Filesystem in Userspace (3.x version)
  Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
  export a virtual filesystem to the Linux kernel. It also aims to provide a
@@ -84,12 +86,3 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Filesystem in Userspace (library) (3.x version)
-
-Package: fuse
-Architecture: all
-Section: oldlibs
-Depends:
- ${misc:Depends},
- fuse3,
-Description: Filesystem in Userspace (transitional package)
- This is a transitional package. It can safely be removed.

## fuse3 3.17.1~rc1

=== debian/changelog ===
fuse3 (3.17.1~rc1-3) unstable; urgency=medium

  * Backport upstream fix for mount: fix closing stdout/err and error logs.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 13 Mar 2025 15:30:01 +0100

fuse3 (3.17.1~rc1-2) experimental; urgency=medium

  * Link examples with atomic on armel, m68k and powerpc architectures.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 22 Feb 2025 07:44:45 +0100

fuse3 (3.17.1~rc1-1) experimental; urgency=medium

  * New major upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 19 Feb 2025 17:29:04 +0100

fuse3 (3.17.1~rc0-1) experimental; urgency=medium

  * New major upstream release candidate version (closes: #1095239):
    - fixes ABI breaks (closes: #1031802),
    - fixes max threads value warning (closes: #1037410).
  * Library transition from libfuse3-3 to libfuse3-4.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 14 Feb 2025 22:49:04 +0100

fuse3 (3.14.0-10) unstable; urgency=medium

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Upgrade Breaks for fuse to Conflicts to prevent accidental file loss
    (DEP17, closes: #1082357).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Sep 2024 14:06:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fuse3
 Section: utils
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  pkgconf,
@@ -20,20 +19,19 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libfuse3-3 (= ${binary:Version}),
+ libfuse3-4 (= ${binary:Version}),
  adduser,
  mount (>= 2.19.1),
  sed (>= 4)
 Provides: fuse (= ${source:Version})
-Breaks: fuse
-Replaces: fuse
+Conflicts: fuse (<< ${source:Version})
 Description: Filesystem in Userspace (3.x version)
  Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
  export a virtual filesystem to the Linux kernel. It also aims to provide a
  secure method for non privileged users to create and mount their own filesystem
  implementations.
 
-Package: libfuse3-3
+Package: libfuse3-4
 Section: libs
 Architecture: linux-any kfreebsd-any
 Multi-Arch: same
@@ -56,7 +54,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libfuse3-3 (= ${binary:Version}),
+ libfuse3-4 (= ${binary:Version}),
  libselinux-dev [linux-any],
 Suggests: fuse
 Description: Filesystem in Userspace (development) (3.x version)
@@ -74,10 +72,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libfuse3-3-udeb (= ${binary:Version}),
+ libfuse3-4-udeb (= ${binary:Version}),
 Description: Filesystem in Userspace (3.x version)
 
-Package: libfuse3-3-udeb
+Package: libfuse3-4-udeb
 Package-Type: udeb
 Build-Profiles: <!noudeb>
 Architecture: linux-any kfreebsd-any
@@ -86,3 +84,12 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Filesystem in Userspace (library) (3.x version)
+
+Package: fuse
+Architecture: all
+Section: oldlibs
+Depends:
+ ${misc:Depends},
+ fuse3,
+Description: Filesystem in Userspace (transitional package)
+ This is a transitional package. It can safely be removed.

## fuse3 3.17.1+git250416

=== debian/changelog ===
fuse3 (3.17.1+git250416-1) unstable; urgency=medium

  * New git snapshot release:
    - fixes "both 'want' and 'want_ext' are set" errors (closes: #1101305).
  * Refer online versions of Free Software Foundation licences.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 16 Apr 2025 18:35:53 +0200

fuse3 (3.17.1-1) unstable; urgency=medium

  * New major upstream release:
    - fixes want flag conversion (closes: #1101129).
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 24 Mar 2025 14:12:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k powerpc))
+   export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -latomic
+endif
 
 ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
   with_udeb = yes

## fuse3 3.17.2

=== debian/changelog ===
fuse3 (3.17.2-3) unstable; urgency=medium

  * Backport upstream fixes:
    - fix the close_range ifdef,
    - fix deadlock in truncate operation in memfs_ll.cc example. 

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 16 Jul 2025 17:27:21 +0000

fuse3 (3.17.2-2) unstable; urgency=medium

  [ Laszlo Boszormenyi (GCS) ]
  * Backport upstream fixes (closes: #1101305):
    - make conn->want/want_ext conversion non fatal,
    - add container_of and ROUND_UP macros,
    - conn->want conversion: fix fuse_apply_conn_info_opts() .
  * Update symbols file (closes: #1105099).

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Update -latomic architecture list (closes: #1105150).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 19 May 2025 20:39:08 +0200

fuse3 (3.17.2-1) unstable; urgency=medium

  * New upstream release:
    - check if pthread_setname_np() exists before use it,
    - fix example/memfs_ll rename deadlock error,
    - signal handlers: Store fuse_session unconditionally.
  * Backport upstream fixes:
    - fix meson function tests,
    - meson.build: make special_funcs check more reliable.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 27 Apr 2025 08:10:01 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k powerpc))
+ifneq (,$(filter $(DEB_HOST_ARCH), arc armel m68k mips mipsel powerpc sh3 sh4 sparc))
    export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -latomic
 endif

## fuse3 3.17.4

=== requirements.txt ===
# Packages required for building and testing libfuse only,
# no python code is required when using libfuse.
# Build packages: 
meson
ninja
# Test packages:
pytest

=== debian/changelog ===
fuse3 (3.17.4-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Aug 2025 16:36:22 +0200

fuse3 (3.17.3-1) unstable; urgency=medium

  [ Laszlo Boszormenyi (GCS) ]
  * New upstream release.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Further improve matching of -latomic architectures (closes: #1109150).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 Aug 2025 17:19:52 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  systemd-dev,
  python3 <!nocheck>,
  python3-pytest <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/libfuse/libfuse/wiki
 Rules-Requires-Root: binary-targets

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-ifneq (,$(filter $(DEB_HOST_ARCH), arc armel m68k mips mipsel powerpc sh3 sh4 sparc))
+ifneq (,$(filter $(DEB_HOST_ARCH_CPU)/$(DEB_HOST_ARCH_ABI), arc/base arm/eabi m68k/base mips/base mipsel/base powerpc/base sh3/base sh4/base sparc/base))
    export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -latomic
 endif

=== debian/watch ===
version=4
opts=uversionmangle=s/^(SNAPSHOT|RELEASE)\.//;s/(\d+)[_-](\d+)[_-](\d+)/\$1.\$2.\$3/;s/(\d+)[_-](\d+)/\$1.\$2/;s/(\d)[_\.\-\+]?((rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/(\d)[_\.\-\+]?RC[\-\.]?(\d*)$/$1~rc$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//i,\
pgpsigurlmangle=s/$/.asc/ \
https://github.com/libfuse/libfuse/tags \
(?:|.*/)fuse-[vV]?(\d\S*)@ARCHIVE_EXT@

## fuse3 3.18.1

=== meson_options.txt ===
--- 
+++ 
@@ -22,3 +22,8 @@
 option('disable-libc-symbol-version', type : 'boolean', value : false,
        description: 'Disable versioned symbols through libc')
 
+option('enable-usdt', type : 'boolean', value : false,
+       description: 'Enable user statically defined tracepoints for extra observability')
+
+option('enable-io-uring', type: 'boolean', value: true,
+       description: 'Enable fuse-over-io-uring support')

=== debian/changelog ===
fuse3 (3.18.1-1+rpi1) forky-staging; urgency=medium

  * Link with libatomic on armhf too.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 05 Feb 2026 13:20:17 +0000

fuse3 (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Update library symbols for this release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Dec 2025 18:06:47 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-ifneq (,$(filter $(DEB_HOST_ARCH_CPU)/$(DEB_HOST_ARCH_ABI), arc/base arm/eabi m68k/base mips/base mipsel/base powerpc/base sh3/base sh4/base sparc/base))
+ifneq (,$(filter $(DEB_HOST_ARCH_CPU)/$(DEB_HOST_ARCH_ABI), arc/base arm/eabi arm/eabihf m68k/base mips/base mipsel/base powerpc/base sh3/base sh4/base sparc/base))
    export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -latomic
 endif
